//! Parse args
use super::*;

#[derive(Debug, PartialEq, Eq, Clone)]
pub enum Operation
{
    #[cfg(feature="server")] Server(server::Config),
    #[cfg(feature="client")] Client(client::Config),
    Help,
}

#[derive(Debug)]
pub struct Error;

pub fn parse_args() -> impl Future<Output = Result<Operation, Error>>
{
    parse(std::env::args().skip(1))
}

async fn parse<T, I>(args: I) -> Result<Operation, Error>
where I: IntoIterator<Item = T>,
      T: Into<String>
{
    let mut args = args.into_iter().map(Into::into);
    todo!()
}
