
#![allow(dead_code)]

#[macro_use] extern crate log;

use color_eyre::{
    eyre::{
	self, eyre,
	WrapErr as _,
    },
    SectionExt as _,
};

use futures::{
    prelude::*,
};

fn install() -> eyre::Result<()>
{
    color_eyre::install()?;
    pretty_env_logger::init();

    trace!("init oke");
    Ok(())
}

mod args;

#[cfg(feature="server")] mod server;
#[cfg(feature="client")] mod client;

#[tokio::main]
async fn main() -> eyre::Result<()> {
    install()
	.wrap_err(eyre!("Failed to install handlers"))?;

    //TODO: Parse args and delegate to client or server
    
    Ok(())
}
